<?php
add_action('admin_menu', 'sudooauth_create_menu');

function sudooauth_create_menu() {
        add_menu_page('Sudo Oauth Plugin Settings', 'Sudo Oauth Settings', 'administrator', __FILE__, 'sudooauth_settings_page',plugins_url('sudo-oauth/icon.png'), 100);
        add_action( 'admin_init', 'register_mysettings' );
}

function register_mysettings() {
    register_setting( 'sudooauth-settings-group', 'sudooauth_option_name' );
    register_setting( 'sudooauth-settings-group', 'sudooauth_option_pwd' );
    register_setting( 'sudooauth-settings-group', 'sudooauth_option_host' );
    register_setting( 'sudooauth-settings-group', 'sudooauth_option_multicat' );
    register_setting( 'sudooauth-settings-group', 'sudooauth_option_limitpost' );
    register_setting( 'sudooauth-settings-group', 'sudooauth_option_uploadfiles' );
}

function sudooauth_settings_page() {   
?>
<div class="wrap">
<h2>Thông tin client kết nối với ID</h2>
<p>Nhập thông tin được thống nhất và cấp bởi ID</p>
<?php if( isset($_GET['settings-updated']) ) { ?>
    <div id="message" class="updated">
        <p><strong><?php _e('Mọi thông tin cài đặt đã được lưu') ?></strong></p>
    </div>
<?php } ?>
<form method="post" action="options.php">
    <?php settings_fields( 'sudooauth-settings-group' ); ?>
    <table class="form-table">
        <tr>
            <th scope="row"><label for="sudooauth_option_name">Client name</label></th>
            <td><input type="text" id="sudooauth_option_name" name="sudooauth_option_name" value="<?php echo get_option('sudooauth_option_name');?>" class="regular-text"/></td>
        </tr>
        <tr>
            <th scope="row"><label for="sudooauth_option_pwd">Client key</label></th>
            <td><input type="text" id="sudooauth_option_pwd" name="sudooauth_option_pwd" value="<?php echo get_option('sudooauth_option_pwd');?>" class="regular-text"/></td>
        </tr>
        <tr>
            <th scope="row"><label for="sudooauth_option_host">Host</label></th>
            <td><input type="text" id="sudooauth_option_host" name="sudooauth_option_host" value="<?php echo get_option('sudooauth_option_host') != '' ? get_option('sudooauth_option_host') : 'http://id.sudo.vn';?>" class="regular-text"/></td>
        </tr>
        <tr>
            <th scope="row"><label for="sudooauth_option_uploadfiles">Cho phép thành viên từ hệ thống upload ảnh</label></th>
            <td>
                <input type="checkbox" id="sudooauth_option_uploadfiles" name="sudooauth_option_uploadfiles" value="1"<?php echo get_option('sudooauth_option_uploadfiles') == '1' ? ' checked="checked"' : ''; ?> /> Tick để cho phép
            </td>
        </tr>
        <tr>
            <th scope="row"><label for="sudooauth_option_limitpost">Tài khoản kết nối được đăng bao nhiêu bài một ngày</label></th>
            <td><input type="number" min="1" max="20" id="sudooauth_option_limitpost" name="sudooauth_option_limitpost" value="<?php echo get_option('sudooauth_option_limitpost') != '' ? get_option('sudooauth_option_limitpost') : '1'; ?>" /></td>
        </tr>
        <tr>
            <th scope="row"><label for="sudooauth_option_multicat">Chọn danh mục tài khoản kết nối được phép post bài</label></th>
             <td>
             <?php
             $walker = new Sudo_Walker_Category_Checklist();
             $settings = get_option('sudooauth_option_multicat');
             if ( isset( $settings) && is_array( $settings) )
    				$selected = $settings;
    			else
    				$selected = array();
             ?>
                <div id="side-sortables" class="metabox-holder" style="float:left; padding:5px;">
       				<div class="postbox">
       					<h3 class="hndle"><span>Giới hạn đa danh mục</span></h3>
       
       	            <div class="inside" style="padding:0 10px;">
       						<div class="taxonomydiv">
       							<div id="id-all" class="tabs-panel tabs-panel-active">
       								<ul class="categorychecklist form-no-clear">
       								<?php
       									wp_list_categories(
       										array(
       										'selected_cats'  => $selected,
       										'options_name'   => 'sudooauth_option_multicat',
       										'hide_empty'     => 0,
       										'title_li'       => '',
       										'walker'         => $walker
       										)
       									);
       								?>
       	                     </ul>
       							</div>
       						</div>
       					</div>
       				</div>
       			</div>
             </td>
        </tr>
    </table>
    <?php submit_button(); ?>
</form>
</div>
<?php 
}